Bug 106923 - Media player dialog: dropdown "View" disabled (resizing needs to be done in the slide)
Summary: Media player dialog: dropdown "View" disabled (resizing needs to be done in t...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Media-Playback
  Show dependency treegraph
 
Reported: 2017-04-03 03:18 UTC by Kara
Modified: 2021-03-16 06:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of working dropdown in Windows (67.85 KB, image/jpeg)
2019-03-16 14:58 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kara 2017-04-03 03:18:29 UTC
It used to be possible to adjust video viewing size in Impress, but since version 5 it's not anymore. The "View" dropdown is disabled, resizing the video on the slide has no effect. Tried various types of videos - same issue. Embedding or linking isn't changing anything either.
Comment 1 Xisco Faulí 2017-04-03 09:57:54 UTC
Hello Kara,

Thank you for reporting the bug. Unfortunately without clear steps to reproduce it, we cannot track down the origin of the problem.
Please provide a clearer set of step-by-step instructions on how to reproduce the problem.
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the steps are provided
Comment 2 Kara 2017-04-03 22:11:49 UTC
Steps: go to Tools > Media Player, open video file in Media Player. Video plays fine, but "View" dropdown is not available to change the viewing size.
Comment 3 Buovjaga 2017-04-17 14:51:07 UTC
I confirm, but not on Windows.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: d69e6321fbb2c9f5b4d30890074a230ee6b39d2d
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 17th 2016

Version: 5.4.0.0.alpha0+ (x64)
Build ID: 193f8966135064a32164c9da08d01dab9c1fc15d
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-03-25_02:08:45
Locale: fi-FI (fi_FI); Calc: group
Comment 4 Xisco Faulí 2017-06-19 18:34:50 UTC
I can reproduce the problem in

Version: 4.4.0.0.alpha2+
Build ID: d273a60bfdbf9bb7623bed38667ec0647753157c
Locale: ca_ES

Do you remember in which version it worked for you ?
Comment 5 Kara 2017-06-19 21:31:20 UTC
It stopped working since version 5; still not working in Version: 5.3.1.2.
Comment 6 Xisco Faulí 2017-06-19 21:34:10 UTC
Changing back to the earliest affected version
Comment 7 Buovjaga 2017-06-25 14:10:46 UTC
I installed Ubuntu 12.04 in a VM. I tested the bug with the LibreOffice version shipped with it, 3.5.7. It seems this has never worked on Linux.

Kara: if you disagree, you have to prove it by installing an older version and testing with it.
Comment 8 Kara 2017-06-25 21:40:42 UTC
I am absolutely positive it has worked before, albeit I wouldn't be too sure in which 4er version exactly. I am using Impress professionally, and the media player was used in my presentations (I now have a workaround), and my OS is Ubuntu since ages ago. But I won't be installing virtual environments and testing old versions to pinpoint where exactly it stopped working. It would be nice if it worked in the latest version on Linux. My reporting pertained to this not being the case, which seems by now confirmed. I rest my case.
Comment 9 Buovjaga 2017-06-26 06:56:24 UTC
(In reply to Kara from comment #8)
> I am absolutely positive it has worked before, albeit I wouldn't be too sure
> in which 4er version exactly. I am using Impress professionally, and the
> media player was used in my presentations (I now have a workaround), and my
> OS is Ubuntu since ages ago. But I won't be installing virtual environments
> and testing old versions to pinpoint where exactly it stopped working. It
> would be nice if it worked in the latest version on Linux. My reporting
> pertained to this not being the case, which seems by now confirmed. I rest
> my case.

Well, then you could install some not-so-ancient version on your system. As you said the problem appeared in version 5, you could try 4.4, which should work with your system packages (hopefully): https://wiki.documentfoundation.org/Installing_in_parallel/Linux

I installed the old Ubuntu VM, because I didn't want to start messing with duplicate gstreamer packages..
Comment 10 QA Administrators 2018-09-24 02:49:20 UTC Comment hidden (obsolete)
Comment 11 Cor Nouws 2019-03-16 12:09:46 UTC
I do not understand the bug.
Or it has been resolved in the mean time
(testing is 63-master on Linux 64 bits)

I can insert a video; resize with dragging by the mouse, or dialog Position and Size.
And with playing the presentation, the video has the size that I gave it.

Can you please explain what I miss?
thanks - Cor

Version: 6.3.0.0.alpha0+
Build ID: 17b25fd3df237a64d6a28fbc57b869e080963193
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-03-13_20:42:25
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded
Comment 12 Cor Nouws 2019-03-16 12:15:30 UTC
(In reply to Cor Nouws from comment #11)
> I can insert a video;
either by Insert > Video or by Tools > Media player
Comment 13 Buovjaga 2019-03-16 14:58:59 UTC
Created attachment 150014 [details]
Screenshot of working dropdown in Windows

Cor: on Linux, are you able to use the dropdown as seen in the screenshot?
Comment 14 Cor Nouws 2019-03-16 20:18:42 UTC
(In reply to Buovjaga from comment #13)
> Cor: on Linux, are you able to use the dropdown as seen in the screenshot?
Ah, that one.. no!

(In reply to Kara from comment #0)
> .....  "View" dropdown is disabled, resizing the
> video on the slide has no effect.
That definitely is not a problem for me.
Comment 15 QA Administrators 2021-03-16 04:28:31 UTC Comment hidden (obsolete)
Comment 16 Kara 2021-03-16 04:36:01 UTC
Thanks for following up! Hadn't used videos in Impress for ages, but just tested, and everything works as expected, so it appears this is resolved.
Comment 17 Buovjaga 2021-03-16 06:15:11 UTC
(In reply to Kara from comment #16)
> Thanks for following up! Hadn't used videos in Impress for ages, but just
> tested, and everything works as expected, so it appears this is resolved.

Nope, the View dropdown is still not available on any of the Linux VCL backends

Arch Linux 64-bit
Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 5800a15e0f2d668b844f73072dc146fd0e4237bb
CPU threads: 8; OS: Linux 5.11; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 11 March 2021
Comment 18 Kara 2021-03-16 06:46:25 UTC
True, but I can now freely resize the video, and it plays at the exact size, so while the dropdown is still missing, the functionality is restored (at least for me).